#include "MeshEditorMainWindow.h"
#include <qapplication.h>

using namespace std;
using namespace X3DTK;

typedef clist<tlist<MESH::MeshColorData, tlist<MESH::MeshTexCoordData> > > MyMeshData;
typedef clist<tlist<MESH::VertexPointData> > MyVertexData;

int main(int argc, char *argv[])
{
  // Read command lines arguments.
  QApplication application(argc, argv);

  // Instantiate the viewer.
//  MESH::MeshEditorMainWindow<MyMeshData, MyVertexData, MESH::EdgeData, MESH::FaceData> w;
  MESH::MeshEditorMainWindow<MESH::MeshData, MESH::VertexData, MESH::EdgeData, MESH::FaceData, false> w;
  // Make the viewer window visible on screen.
  w.show();

  // Set the viewer as the application main widget.
  application.setMainWidget(&w);
  
  // Run main loop.
  return application.exec();
}
